classification
Title: pydoc doesnt show 'from module import identifier' in the docs
Type: Stage:
Components: Extension Modules Versions: Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, bgolemon, georg.brandl, peter.puk
Priority: normal Keywords:

Created on 2008-05-25 10:21 by peter.puk, last changed 2009-03-29 12:57 by georg.brandl. This issue is now closed.

Messages (5)
msg67340 - (view) Author: Peter Puk (peter.puk) Date: 2008-05-25 10:21
When you try to make a doc from your programm woth pydoc, it doesnt show
the the identifiers in the modules section. when i put 'from module
import identifier' in my code
msg67343 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 11:54
Can you expand a bit? What exactly do you expect in the generated
documentation that is not there?
msg67352 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-25 18:24
I think he means that if you use "from m import x" to import part of
module interface, "x" is not shown in the generated doc.
msg67379 - (view) Author: Buck Golemon (bgolemon) Date: 2008-05-26 17:52
I feel like that's the correct behavior, since x should be documented in
m. In a module you can override this by doing '__all__ = ['x']', but I'm
not sure there's a way in a script.
msg84385 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-03-29 12:57
I agree.
History
Date User Action Args
2009-03-29 12:57:24georg.brandlsetstatus: open -> closed
resolution: wont fix
messages: + msg84385
2008-05-26 17:52:47bgolemonsetnosy: + bgolemon
messages: + msg67379
2008-05-25 18:24:12benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg67352
2008-05-25 11:54:09georg.brandlsetnosy: + georg.brandl
messages: + msg67343
2008-05-25 10:21:40peter.pukcreate